Bug 857452 - katello-configure fails with katello-jobs change to running failed
katello-configure fails with katello-jobs change to running failed
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello-configure (Show other bugs)
1.2
Unspecified Unspecified
urgent Severity urgent
: rc
: ---
Assigned To: Miroslav Suchý
SAM QE List
:
Depends On: 857451
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 09:23 EDT by Eric Sammons
Modified: 2013-02-21 14:17 EST (History)
2 users (show)

See Also:
Fixed In Version: katello-1.1.12-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 857451
Environment:
Last Closed: 2013-02-21 14:17:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Sammons 2012-09-14 09:23:52 EDT
+++ This bug was initially created as a clone of Bug #857451 +++

Description of problem:
During the configuration process, katello-configure will fail when attempting to start katello-jobs.

Version-Release number of selected component (if applicable):
katello-common-1.1.12-1.git.29.d796c20.fc16.noarch

Steps to Reproduce:
1. yum install -y katello-headpin-all
2. katello-configure --deployment=headpin
  
Actual results:
/usr/share/katello/app/models/user.rb:18: uninitialized constant Glue::Pulp (NameError)
        from /usr/share/katello/app/models/cp_consumer_user.rb:13
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/engine.rb:138:in `eager_load!'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/engine.rb:137:in `each'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/engine.rb:137:in `eager_load!'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/engine.rb:135:in `each'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/engine.rb:135:in `eager_load!'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/application.rb:108:in `eager_load!'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/application/finisher.rb:41
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/initializable.rb:25:in `instance_exec'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/initializable.rb:25:in `run'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/initializable.rb:50:in `run_initializers'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/initializable.rb:49:in `each'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/initializable.rb:49:in `run_initializers'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/application.rb:134:in `initialize!'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/application.rb:77:in `send'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/application.rb:77:in `method_missing'
        from /usr/share/katello/config/environment.rb:5
        from script/delayed_job:3:in `require'
        from script/delayed_job:3

Expected results:
katello-jobs should be started and the deployment accessible.
Comment 1 Miroslav Suchý 2012-09-14 10:38:04 EDT
Should be fixed by https://github.com/Katello/katello/pull/668#issuecomment-8562720
Comment 2 Miroslav Suchý 2012-09-14 10:43:02 EDT
Cherrypicked to SYSTEM-ENGINE-1.1 as 15cc65c
Comment 3 Tazim Kolhar 2012-10-15 02:42:30 EDT
VERIFIED :

# rpm -qa | grep katello-common
katello-common-1.1.15-2h.el6_3.noarch


On the SAM server :

# yum install -y katello-headpin-all
# katello-configure --deployment=sam
# service katello-jobs status
delayed_job is running.
delayed_job_monitor is running.
Comment 5 errata-xmlrpc 2013-02-21 14:17:59 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.